Page MenuHomePhabricator

Hovercards: Links to titles with parentheses should also bold non-parenthesized text in extract
Closed, ResolvedPublic

Description

Parentheses are almost always used in an article title to disambiguate. They are not commonly used in that way within the article itself. A popup for the title should highlight the undisambiguated title without the (disambiguation) component.

Example: http://en.wikifur.com/wiki/Category:NordicFuzzCon_staff
The hovercard for the title "Lightfox (Sweden)" does not have bolded text because within the article itself the subject is referred to only as "Lightfox".

The space before the parentheses should be trimmed off for this comparison, because it may be replaced with punctuation (this is not currently handled generally, which is be a separate bug).

Because it *is* possible for a parentheses to be part of an title that would be in the text, the search should be both for text with and without the parenthesis.


Version: master
Severity: normal

Details

Reference
bz67224

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:31 AM
bzimport added a project: Page-Previews.
bzimport set Reference to bz67224.
bzimport added a subscriber: Unknown Object (MLST).
Jaredzimmerman-WMF triaged this task as Low priority.Dec 3 2014, 12:31 AM
Jaredzimmerman-WMF set Security to None.

Change 183488 had a related patch set uploaded (by Prtksxna):
article: Remove bracketed text from the title before looking to bold it in the extract

https://gerrit.wikimedia.org/r/183488

Patch-For-Review

Prtksxna claimed this task.Jan 8 2015, 12:54 PM
Prtksxna moved this task from Backlog to For Review on the Page-Previews board.Jan 8 2015, 1:01 PM
Jdlrobson changed the task status from Open to Stalled.Oct 9 2015, 5:50 PM
Jdlrobson added a subscriber: Jdlrobson.

Patch needs a rebase @Prtksxna I would like to pull this into my teams next sprint. Any objections if we took over your patch if that happens?

Restricted Application added a subscriber: Josve05a. · View Herald TranscriptOct 9 2015, 5:50 PM

Patch needs a rebase @Prtksxna I would like to pull this into my teams next sprint. Any objections if we took over your patch if that happens?

No problems. And as I said over IRC, feel free to abandon/take over any of my Hovercards patches.

Change 183488 merged by jenkins-bot:
article: Remove bracketed text from the title before looking to bold it in the extract

https://gerrit.wikimedia.org/r/183488

Jdlrobson closed this task as Resolved.May 10 2016, 10:01 PM